PhycoBank - bug #7177

Fix protectedTitleCache for Agents which have no data except the cache
01/15/2018 09:45 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: Estimated time: 0:00 hour
Target version:

Description
This is important for the phycobank playday

History

#1-01/31/2018 12:10 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#2 - 01/31/2018 01:29 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Target version changed from Release 4.14 to Release 4.13
already solved in the production data?

#3-01/31/2018 01:29 PM - Andreas Kohlbecker
- % Done changed from 0 to 50

#4 - 02/14/2018 02:04 PM - Andreas Kohlbecker

sql to test

select * from AgentBase a
where DTYPE = 'Person'
and a.lastname is null AND a.firstname is null AND a.initials is NULL
AND (a.protectedTitleCache = 0 OR a.protectedCollectorTitleCache = 0 OR a.
protectedNomenclaturalTitleCache = 0)

select * from AgentBase a left join AgentBase_AgentBase a_a on a_a.Team_id = a.id
where DTYPE = 'Team'
and a_a.Team_id is null
AND (a.protectedTitleCache

= 0 OR a.protectedCollectorTitleCache = 0 OR a.
protectedNomenclaturalTitleCache = 0)

#5 - 02/14/2018 02:13 PM - Andreas Kohlbecker
and the query to fix the data:

UPDATE AgentBase a left Jjoin AgentBase_AgentBase a_a on a_a.Team_id = a.id

SET a.protectedTitleCache = 1, a.protectedCollectorTitleCache = 1, a.protectedNomenclaturalTitleCache
WHERE

DTYPE = 'Team'

AND a_a.Team_id is null

AND (a.protectedTitleCache = 0 OR a.protectedCollectorTitleCache = 0 OR a.
protectedNomenclaturalTitleCache = 0)

UPDATE AgentBase a left Jjoin AgentBase_AgentBase a_a on a_a.Team_id = a.id

SET a.protectedTitleCache = 1, a.protectedCollectorTitleCache = 1, a.protectedNomenclaturalTitleCache
WHERE

DTYPE = 'Person'

and a.lastname is null AND a.firstname is null AND a.initials is NULL

AND (a.protectedTitleCache = 0 OR a.protectedCollectorTitleCache = 0 OR a.
protectedNomenclaturalTitleCache = 0)

#6 - 02/14/2018 02:15 PM - Andreas Kohlbecker

applied to all databases!
#7 - 02/14/2018 02:18 PM - Andreas Kohlbecker
- Tags set to phycobank
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

#8 - 02/14/2018 02:18 PM - Andreas Kohlbecker
- Project changed from EDIT to PhycoBank
- Category deleted (data)

- Target version deleted (Release 4.13)
#9 - 07/23/2019 04:28 PM - Andreas Kohlbecker

- Subject changed from Fix protectedTitleCache for Agents wich have no data except the cache to Fix protectedTitleCache for Agents which have no
data except the cache
